Bug 1479918 - Patching to RHEL 7.4 results in lost network config [NEEDINFO]
Patching to RHEL 7.4 results in lost network config
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity high
: GA
: 5.7.4
Assigned To: bdunn
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 14:20 EDT by Curtis Matthews
Modified: 2017-08-15 14:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rspagnol: needinfo? (bdunn)


Attachments (Terms of Use)

  None (edit)
Description Curtis Matthews 2017-08-09 14:20:33 EDT
Description of problem:  Patching appliances (5.7.3.2) to RHEL 7.4 causes the appliances to lose the static network config upon reboot.  No CFME packages were updated with this patch cycle.


Version-Release number of selected component (if applicable):  5.7.3.2


How reproducible:  Every time


Steps to Reproduce:
1.  yum update
2.  reboot
3.

Actual results:  Update completes successfully.  Entering appliance_console shows correct network configuration prior to reboot.  Reboot reverts system to DHCP.


Expected results:  Update and reboot does not modify the network configuration.


Additional info:  Upon resetting the network configuration, a file is created, /etc/cloud/cloud.cfg.d/99_mig_disable_network_config_change.cfg with the contents of "network: {config: disabled}".  If you manually create this file prior to rebooting, the network config is preserved.
Comment 6 Curtis Matthews 2017-08-14 11:22:24 EDT
Needinfo flag is set but I'm unsure of what is needed.  Please elaborate.
Comment 7 Brandon Dunne 2017-08-15 12:16:20 EDT
The bug was changed to ON_DEV because I was investigating the issue.  I was unable to reproduce the problem, so I added the "needinfo?" and asked if there were any other steps required to reproduce the problem.

Are the network configuration files deleted during the "yum update" or during the reboot?

Note You need to log in before you can comment on or make changes to this bug.